#ifndef BUTTONNODE_H
#define BUTTONNODE_H

#include "scene/meshnode.h"
#include "scene/graphicalcontainernode.h"
#include "scene/gui/callback.h"

class ButtonShape;
class BackGroundNode;

class ButtonNode : public GraphicalContainerNode
{
    int m_action;
    glm::vec2 m_position;
    ButtonShape* m_shape;
    CallBack* m_callback;
    BackGroundNode* m_background;
public:
    ButtonNode(glm::vec2 m_position, ButtonShape* shape);
    void setBackGround(BackGroundNode*);
    BackGroundNode* getBackGround();
    void setCallBack(CallBack* callback){m_callback=callback;}
    void setAction(int action){m_action=action;}
    void update();
};

#endif // BUTTONNODE_H
