#ifndef BUTTONSHAPE_H
#define BUTTONSHAPE_H

#include "glm/vec2.hpp"

class ButtonShape
{
   glm::vec2 m_position;
public:
    ButtonShape(glm::vec2 position) : m_position(position){}

    virtual bool hover(glm::vec2 mouse_position) = 0;
    glm::vec2 getPosition(){return m_position;}
};

class RectangleButtonShape:public ButtonShape
{
    glm::vec2 m_dimension;
public:
    RectangleButtonShape(glm::vec2, glm::vec2);
    bool hover(glm::vec2 mouse_position);
};

#endif // BUTTONSHAPE_H
